Index: /branches/ExportSymbolicDataAnalysisSolutions/Build.cmd
===================================================================
--- /branches/ExportSymbolicDataAnalysisSolutions/Build.cmd	(revision 9514)
+++ /branches/ExportSymbolicDataAnalysisSolutions/Build.cmd	(revision 9514)
@@ -0,0 +1,94 @@
+@ECHO OFF
+
+SET CLEANBEFOREBUILD=0
+
+SET SELECTED=
+SET CONFIGURATION=
+SET PLATFORM=
+
+IF "%~1"=="" GOTO :prompt_solution
+
+SET SELECTED=%1
+IF NOT EXIST %SELECTED% (
+  ECHO Solution file %SELECTED% could not be found.
+  GOTO :end
+)
+ECHO Building solution %SELECTED% ...
+GOTO :config_selection
+
+:prompt_solution
+SET /A COUNT=0
+FOR /F "tokens=*" %%A IN ('dir /B *.sln') DO (
+  CALL :forloopbody "%%A"
+)
+
+IF "%COUNT%"=="1" (
+  SET SELECTED=%SOLUTIONS.1%
+  ECHO Building %SOLUTIONS.1% as it is the only solution that was found ...
+  GOTO :config_selection
+)
+
+ECHO Found the following solutions:
+FOR /F "tokens=2* delims=.=" %%A IN ('SET SOLUTIONS.') DO ECHO %%A = %%B
+ECHO.
+SET /P SOLUTIONINDEX=Which solution to build? Type the number: 
+
+SET SELECTED=""
+FOR /F "tokens=2* delims=.=" %%A IN ('SET SOLUTIONS.') DO (
+  IF "%%A"=="%SOLUTIONINDEX%" SET SELECTED=%%B
+)
+
+IF %SELECTED%=="" GOTO :eof
+
+:config_selection
+IF "%~2"==""  GOTO :prompt_config
+
+SET CONFIGURATION=%~2
+ECHO Building configuration %CONFIGURATION% ...
+GOTO :platform_selection
+
+:prompt_config
+SET /P CONFIGURATION=Which configuration to build [Release]: 
+IF "%CONFIGURATION%"=="" SET CONFIGURATION=Release
+
+:platform_selection
+IF "%~3"=="" GOTO :prompt_platform
+  
+SET PLATFORM=%~3
+ECHO Building platform %PLATFORM% ...
+GOTO :main
+
+:prompt_platform
+SET /P PLATFORM=Which platform to build [Any CPU]: 
+IF "%PLATFORM%"=="" SET PLATFORM=Any CPU
+
+:main
+REM First find the path to the msbuild.exe by performing a registry query
+FOR /F "tokens=1,3 delims=	 " %%A IN ('REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MSBuild\ToolsVersions\4.0"') DO (
+  IF "%%A"=="MSBuildToolsPath" SET MSBUILDPATH=%%B)
+
+REM Then execute msbuild to clean and build the solution
+REM Disable that msbuild creates a cache file of the solution
+SET MSBuildUseNoSolutionCache=1
+REM Run msbuild to clean and then build
+IF "%CLEANBEFOREBUILD%"=="1" (
+  ECHO Cleaning ...
+  %MSBUILDPATH%msbuild.exe %SELECTED% /target:Clean /p:Configuration="%CONFIGURATION%",Platform="%PLATFORM%" /m:2 /nologo /verbosity:q /clp:ErrorsOnly
+)
+ECHO Building ...
+%MSBUILDPATH%msbuild.exe %SELECTED% /target:Rebuild /p:Configuration="%CONFIGURATION%",Platform="%PLATFORM%" /m:2 /nologo /verbosity:q /clp:ErrorsOnly
+
+ECHO.
+ECHO DONE.
+
+:end
+
+PAUSE
+
+GOTO :eof
+
+REM This workaround is necessary so that COUNT gets reevaluated
+:forloopbody
+SET /A COUNT+=1
+SET SOLUTIONS.%COUNT%=%1
+GOTO :eof
Index: /branches/ExportSymbolicDataAnalysisSolutions/ExportSymbolicDataAnalysisSolutions.sln
===================================================================
--- /branches/ExportSymbolicDataAnalysisSolutions/ExportSymbolicDataAnalysisSolutions.sln	(revision 9514)
+++ /branches/ExportSymbolicDataAnalysisSolutions/ExportSymbolicDataAnalysisSolutions.sln	(revision 9514)
@@ -0,0 +1,52 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 12.00
+# Visual Studio 2012
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{96396439-A764-4022-A8D2-BE021449B8D1}"
+	ProjectSection(SolutionItems) = preProject
+		Build.cmd = Build.cmd
+		PreBuildEvent.cmd = PreBuildEvent.cmd
+	EndProjectSection
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.DataAnalysis.Symbolic-3.4", "HeuristicLab.Problems.DataAnalysis.Symbolic\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic-3.4.csproj", "{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.DataAnalysis.Symbolic.Views-3.4", "HeuristicLab.Problems.DataAnalysis.Symbolic.Views\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic.Views-3.4.csproj", "{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Any CPU = Debug|Any CPU
+		Debug|x64 = Debug|x64
+		Debug|x86 = Debug|x86
+		Release|Any CPU = Release|Any CPU
+		Release|x64 = Release|x64
+		Release|x86 = Release|x86
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|x64.ActiveCfg = Debug|x64
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|x64.Build.0 = Debug|x64
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|x86.ActiveCfg = Debug|x86
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Debug|x86.Build.0 = Debug|x86
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|Any CPU.Build.0 = Release|Any CPU
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|x64.ActiveCfg = Release|x64
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|x64.Build.0 = Release|x64
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|x86.ActiveCfg = Release|x86
+		{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}.Release|x86.Build.0 = Release|x86
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|x64.ActiveCfg = Debug|x64
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|x64.Build.0 = Debug|x64
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|x86.ActiveCfg = Debug|x86
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Debug|x86.Build.0 = Debug|x86
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|Any CPU.Build.0 = Release|Any CPU
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|x64.ActiveCfg = Release|x64
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|x64.Build.0 = Release|x64
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|x86.ActiveCfg = Release|x86
+		{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}.Release|x86.Build.0 = Release|x86
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
Index: /branches/ExportSymbolicDataAnalysisSolutions/HeuristicLab.ExtLibs.sln
===================================================================
--- /branches/ExportSymbolicDataAnalysisSolutions/HeuristicLab.ExtLibs.sln	(revision 9514)
+++ /branches/ExportSymbolicDataAnalysisSolutions/HeuristicLab.ExtLibs.sln	(revision 9514)
@@ -0,0 +1,289 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 12.00
+# Visual Studio 2012
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.DayView-1.0", "HeuristicLab.ExtLibs\HeuristicLab.DayView\1.0\HeuristicLab.DayView-1.0.csproj", "{02766ECC-D0F5-4115-9ECA-47409167B638}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Netron-3.0.2672.12446", "HeuristicLab.ExtLibs\HeuristicLab.Netron\3.0.2672.12446\HeuristicLab.Netron-3.0.2672.12446\HeuristicLab.Netron-3.0.2672.12446.csproj", "{BB994448-2B21-4564-BB2E-38D8FFF8CF18}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Netron.Diagramming.Core-3.0.2672.12446", "HeuristicLab.ExtLibs\HeuristicLab.Netron\3.0.2672.12446\Netron.Diagramming.Core-3.0.2672.12446\Netron.Diagramming.Core-3.0.2672.12446.csproj", "{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{E7640329-47FE-480E-AE79-13C5D760123F}"
+	ProjectSection(SolutionItems) = preProject
+		PreBuildEvent.cmd = PreBuildEvent.cmd
+	EndProjectSection
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.MathJax-1.1", "HeuristicLab.ExtLibs\HeuristicLab.MathJax\1.1\HeuristicLab.MathJax-1.1\HeuristicLab.MathJax-1.1.csproj", "{BF4C452F-4903-44E6-89B7-DF93D02C4819}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtocolBuffers-2.4.1.473", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\2.4.1\ProtobufCS\src\ProtocolBuffers\ProtocolBuffers-2.4.1.473.csproj", "{6908BDCE-D925-43F3-94AC-A531E6DF2591}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoGen-2.4.1.473", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\2.4.1\ProtobufCS\src\ProtoGen\ProtoGen-2.4.1.473.csproj", "{250ADE34-82FD-4BAE-86D5-985FBE589C4A}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ProtobufCS-2.4.1.473", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\2.4.1\HeuristicLab.ProtobufCS\HeuristicLab.ProtobufCS-2.4.1.473.csproj", "{236459CE-80CF-4991-972F-DE74C826BCCC}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ALGLIB-3.6.0", "HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.6.0\HeuristicLab.ALGLIB-3.6.0\HeuristicLab.ALGLIB-3.6.0.csproj", "{571A0EE4-C86A-40A6-8790-DA754D464EDC}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "LibSVM-3.12", "HeuristicLab.ExtLibs\HeuristicLab.LibSVM\3.12\LibSVM-3.12\LibSVM-3.12.csproj", "{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.LibSVM-3.12", "HeuristicLab.ExtLibs\HeuristicLab.LibSVM\3.12\HeuristicLab.LibSVM-3.12\HeuristicLab.LibSVM-3.12.csproj", "{005C27BE-ED6E-4602-8199-5F9EB7591CEB}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "WinFormsUI-2.7.0", "HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.7.0\WinFormsUI-2.7.0\WinFormsUI-2.7.0.csproj", "{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.WinFormsUI-2.7.0", "HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.7.0\HeuristicLab.WinFormsUI-2.7.0\HeuristicLab.WinFormsUI-2.7.0.csproj", "{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.AutoDiff-1.0", "HeuristicLab.ExtLibs\HeuristicLab.AutoDiff\1.0\HeuristicLab.AutoDiff-1.0\HeuristicLab.AutoDiff-1.0.csproj", "{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "AutoDiff-1.0", "HeuristicLab.ExtLibs\HeuristicLab.AutoDiff\1.0\AutoDiff-1.0\AutoDiff-1.0.csproj", "{62551FD3-C21F-4E16-A7FC-6A017508809C}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SharpDevelop-3.2.1", "HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.2.1\HeuristicLab.SharpDevelop-3.2.1.csproj", "{8AF3BD99-3C84-4166-9EEA-B1403E20D926}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ALGLIB-3.7.0", "HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.7.0\ALGLIB-3.7.0\ALGLIB-3.7.0.csproj", "{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ALGLIB-3.7.0", "HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.7.0\HeuristicLab.ALGLIB-3.7.0\HeuristicLab.ALGLIB-3.7.0.csproj", "{6F1D7847-D610-4E52-A184-405DAEFA41A9}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ALGLIB-3.6.0", "HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.6.0\ALGLIB-3.6.0\ALGLIB-3.6.0.csproj", "{D863807E-4774-455E-85A4-96E7E6A8F68F}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.PluginInfrastructure-3.3", "HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj", "{94186A6A-5176-4402-AE83-886557B53CCA}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Any CPU = Debug|Any CPU
+		Debug|x64 = Debug|x64
+		Debug|x86 = Debug|x86
+		Release|Any CPU = Release|Any CPU
+		Release|x64 = Release|x64
+		Release|x86 = Release|x86
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Debug|x64.ActiveCfg = Debug|x64
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Debug|x64.Build.0 = Debug|x64
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Debug|x86.ActiveCfg = Debug|x86
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Debug|x86.Build.0 = Debug|x86
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Release|Any CPU.Build.0 = Release|Any CPU
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Release|x64.ActiveCfg = Release|x64
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Release|x64.Build.0 = Release|x64
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Release|x86.ActiveCfg = Release|x86
+		{02766ECC-D0F5-4115-9ECA-47409167B638}.Release|x86.Build.0 = Release|x86
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|x64.ActiveCfg = Debug|x64
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|x64.Build.0 = Debug|x64
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|x86.ActiveCfg = Debug|x86
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|x86.Build.0 = Debug|x86
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|x64.ActiveCfg = Release|x64
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|x64.Build.0 = Release|x64
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|x86.ActiveCfg = Release|x86
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|x86.Build.0 = Release|x86
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|x64.ActiveCfg = Debug|x64
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|x64.Build.0 = Debug|x64
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|x86.ActiveCfg = Debug|x86
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|x86.Build.0 = Debug|x86
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|x64.ActiveCfg = Release|x64
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|x64.Build.0 = Release|x64
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|x86.ActiveCfg = Release|x86
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|x86.Build.0 = Release|x86
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Debug|x64.ActiveCfg = Debug|x64
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Debug|x64.Build.0 = Debug|x64
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Debug|x86.ActiveCfg = Debug|x86
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Debug|x86.Build.0 = Debug|x86
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Release|x64.ActiveCfg = Release|x64
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Release|x64.Build.0 = Release|x64
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Release|x86.ActiveCfg = Release|x86
+		{BF4C452F-4903-44E6-89B7-DF93D02C4819}.Release|x86.Build.0 = Release|x86
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Debug|x64.ActiveCfg = Debug|x64
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Debug|x64.Build.0 = Debug|x64
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Debug|x86.ActiveCfg = Debug|x86
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Debug|x86.Build.0 = Debug|x86
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Release|Any CPU.Build.0 = Release|Any CPU
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Release|x64.ActiveCfg = Release|x64
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Release|x64.Build.0 = Release|x64
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Release|x86.ActiveCfg = Release|x86
+		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Release|x86.Build.0 = Release|x86
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|x64.ActiveCfg = Debug|x64
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|x64.Build.0 = Debug|x64
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|x86.ActiveCfg = Debug|x86
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|x86.Build.0 = Debug|x86
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|Any CPU.Build.0 = Release|Any CPU
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|x64.ActiveCfg = Release|x64
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|x64.Build.0 = Release|x64
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|x86.ActiveCfg = Release|x86
+		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|x86.Build.0 = Release|x86
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|x64.ActiveCfg = Debug|x64
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|x64.Build.0 = Debug|x64
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|x86.ActiveCfg = Debug|x86
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|x86.Build.0 = Debug|x86
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|Any CPU.Build.0 = Release|Any CPU
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x64.ActiveCfg = Release|x64
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x64.Build.0 = Release|x64
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x86.ActiveCfg = Release|x86
+		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x86.Build.0 = Release|x86
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Debug|x64.ActiveCfg = Debug|x64
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Debug|x64.Build.0 = Debug|x64
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Debug|x86.ActiveCfg = Debug|x86
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Debug|x86.Build.0 = Debug|x86
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Release|Any CPU.Build.0 = Release|Any CPU
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Release|x64.ActiveCfg = Release|x64
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Release|x64.Build.0 = Release|x64
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Release|x86.ActiveCfg = Release|x86
+		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Release|x86.Build.0 = Release|x86
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Debug|x64.ActiveCfg = Debug|x64
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Debug|x64.Build.0 = Debug|x64
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Debug|x86.ActiveCfg = Debug|x86
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Debug|x86.Build.0 = Debug|x86
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Release|Any CPU.Build.0 = Release|Any CPU
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Release|x64.ActiveCfg = Release|x64
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Release|x64.Build.0 = Release|x64
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Release|x86.ActiveCfg = Release|x86
+		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Release|x86.Build.0 = Release|x86
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Debug|x64.ActiveCfg = Debug|x64
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Debug|x64.Build.0 = Debug|x64
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Debug|x86.ActiveCfg = Debug|x86
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Debug|x86.Build.0 = Debug|x86
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Release|Any CPU.Build.0 = Release|Any CPU
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Release|x64.ActiveCfg = Release|x64
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Release|x64.Build.0 = Release|x64
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Release|x86.ActiveCfg = Release|x86
+		{005C27BE-ED6E-4602-8199-5F9EB7591CEB}.Release|x86.Build.0 = Release|x86
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Debug|x64.ActiveCfg = Debug|x64
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Debug|x64.Build.0 = Debug|x64
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Debug|x86.ActiveCfg = Debug|x86
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Debug|x86.Build.0 = Debug|x86
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Release|Any CPU.Build.0 = Release|Any CPU
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Release|x64.ActiveCfg = Release|x64
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Release|x64.Build.0 = Release|x64
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Release|x86.ActiveCfg = Release|x86
+		{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}.Release|x86.Build.0 = Release|x86
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Debug|x64.ActiveCfg = Debug|x64
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Debug|x64.Build.0 = Debug|x64
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Debug|x86.ActiveCfg = Debug|x86
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Debug|x86.Build.0 = Debug|x86
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Release|Any CPU.Build.0 = Release|Any CPU
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Release|x64.ActiveCfg = Release|x64
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Release|x64.Build.0 = Release|x64
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Release|x86.ActiveCfg = Release|x86
+		{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}.Release|x86.Build.0 = Release|x86
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Debug|x64.ActiveCfg = Debug|x64
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Debug|x64.Build.0 = Debug|x64
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Debug|x86.ActiveCfg = Debug|x86
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Debug|x86.Build.0 = Debug|x86
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Release|x64.ActiveCfg = Release|x64
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Release|x64.Build.0 = Release|x64
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Release|x86.ActiveCfg = Release|x86
+		{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}.Release|x86.Build.0 = Release|x86
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Debug|x64.ActiveCfg = Debug|x64
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Debug|x64.Build.0 = Debug|x64
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Debug|x86.ActiveCfg = Debug|x86
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Debug|x86.Build.0 = Debug|x86
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Release|Any CPU.Build.0 = Release|Any CPU
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Release|x64.ActiveCfg = Release|x64
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Release|x64.Build.0 = Release|x64
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Release|x86.ActiveCfg = Release|x86
+		{62551FD3-C21F-4E16-A7FC-6A017508809C}.Release|x86.Build.0 = Release|x86
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Debug|x64.ActiveCfg = Debug|x64
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Debug|x64.Build.0 = Debug|x64
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Debug|x86.ActiveCfg = Debug|x86
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Debug|x86.Build.0 = Debug|x86
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Release|Any CPU.Build.0 = Release|Any CPU
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Release|x64.ActiveCfg = Release|x64
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Release|x64.Build.0 = Release|x64
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Release|x86.ActiveCfg = Release|x86
+		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Release|x86.Build.0 = Release|x86
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|x64.ActiveCfg = Debug|x64
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|x64.Build.0 = Debug|x64
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|x86.ActiveCfg = Debug|x86
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|x86.Build.0 = Debug|x86
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|Any CPU.Build.0 = Release|Any CPU
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|x64.ActiveCfg = Release|x64
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|x64.Build.0 = Release|x64
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|x86.ActiveCfg = Release|x86
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|x86.Build.0 = Release|x86
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|x64.ActiveCfg = Debug|x64
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|x64.Build.0 = Debug|x64
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|x86.ActiveCfg = Debug|x86
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|x86.Build.0 = Debug|x86
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|x64.ActiveCfg = Release|x64
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|x64.Build.0 = Release|x64
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|x86.ActiveCfg = Release|x86
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|x86.Build.0 = Release|x86
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x64.ActiveCfg = Debug|x64
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x64.Build.0 = Debug|x64
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x86.ActiveCfg = Debug|x86
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x86.Build.0 = Debug|x86
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x64.ActiveCfg = Release|x64
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x64.Build.0 = Release|x64
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x86.ActiveCfg = Release|x86
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x86.Build.0 = Release|x86
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|x64.ActiveCfg = Debug|x64
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|x64.Build.0 = Debug|x64
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|x86.ActiveCfg = Debug|x86
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|x86.Build.0 = Debug|x86
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x64.ActiveCfg = Release|x64
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x64.Build.0 = Release|x64
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x86.ActiveCfg = Release|x86
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x86.Build.0 = Release|x86
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
